org.activiti.engine.history

## Interface HistoricActivityInstance

- All Superinterfaces:
    HistoricData

      public interface HistoricActivityInstance
      extends HistoricData

  Represents one execution of an activity and it's stored permanent for statistics, audit and other business intelligence purposes.
  Author:
    Christian Stettler, Joram Barrez

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getActivityId()` The unique identifier of the activity in the process
    `String` | `getActivityName()` The display name for the activity
    `String` | `getActivityType()` The XML tag of the activity as in the process file
    `String` | `getAssignee()` Assignee in case of user task activity
    `String` | `getCalledProcessInstanceId()` The called process instance in case of call activity
    `Long` | `getDurationInMillis()` Difference between `getEndTime()` and `getStartTime()`.
    `Date` | `getEndTime()` Time when the activity instance ended
    `String` | `getExecutionId()` Execution reference
    `String` | `getId()` The unique identifier of this historic activity instance.
    `String` | `getProcessDefinitionId()` Process definition reference
    `String` | `getProcessInstanceId()` Process instance reference
    `Date` | `getStartTime()` Time when the activity instance started
    `String` | `getTaskId()` The corresponding task in case of task activity
    `String` | `getTenantId()` Returns the tenant identifier for the historic activity

    - ### Methods inherited from interface org.activiti.engine.history.HistoricData

      `getTime`

- - ### Method Detail

    - #### getId

          String getId()

      The unique identifier of this historic activity instance.

    - #### getActivityId

          String getActivityId()

      The unique identifier of the activity in the process

    - #### getActivityName

          String getActivityName()

      The display name for the activity

    - #### getActivityType

          String getActivityType()

      The XML tag of the activity as in the process file

    - #### getProcessDefinitionId

          String getProcessDefinitionId()

      Process definition reference

    - #### getProcessInstanceId

          String getProcessInstanceId()

      Process instance reference

    - #### getExecutionId

          String getExecutionId()

      Execution reference

    - #### getTaskId

          String getTaskId()

      The corresponding task in case of task activity

    - #### getCalledProcessInstanceId

          String getCalledProcessInstanceId()

      The called process instance in case of call activity

    - #### getAssignee

          String getAssignee()

      Assignee in case of user task activity

    - #### getStartTime

          Date getStartTime()

      Time when the activity instance started

    - #### getEndTime

          Date getEndTime()

      Time when the activity instance ended

    - #### getDurationInMillis

          Long getDurationInMillis()

      Difference between `getEndTime()` and `getStartTime()`.

    - #### getTenantId

          String getTenantId()

      Returns the tenant identifier for the historic activity

Copyright © 2016 Alfresco. All rights reserved.